///
/// The base event 
///

#ifndef __EVENT_H__
#define __EVENT_H__

#include <string>

using namespace std;

class Event {

 protected:
  string event_type;

 public:
  Event();
  ~Event();
  void setType(string new_type);
  string getType();
};

#endif // __EVENT_H__
